# # #
# /33/info_list.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/33-new-features-of-ruby-zucker-version-2-and-3
# # #

require 'zucker/info'

# for example
Info.current_file      # __FILE__
Info.working_directory # Dir.pwd
Info.load_path         # $:
Info.platform          # RUBY_PLATFORM
# you could also add them to the global namespace with: include Info
# these are the defined accessors:
Info.list
# => [:current_file, :current_file_directory, :last_input_file, :last_input_line_number,
#     :last_input, :program_name, :program_arguments, :loaded_programs, :program_data,
#     :child_program_status, :environment, :working_directory, :platform, :process_id,
#     :load_path, :current_line, :current_method, :current_callstack, :gets_separator,
#     :join_separator, :print_separator, :split_separator, :security_level,
#     :warnings_activated?, :debug_activated?, :last_exception, :global_variables,
#     :global_constants, :source_encoding, :external_encoding, :internal_encoding,
#     :ruby_version, :ruby_patchlevel, :ruby_description, :ruby_release_date]
